网站地图 联系我们

学习python首选-实战python学习班,专注于python高级工程师培养,python课程:包括Python核心编程技术、全栈开发、网络爬虫、人工智能等。python全栈工程师+提高工作经验,获取免费试听课程!
当前位置: python培训 > python学习 > 常见问题 > 正文

Python3.0版本做web可以吗?

来源:肚皮舞 浏览量: 发布日期:20-08-31 10:24:19 调整字体大小【 【所属栏目:常见问题】

  在群里聊天,我说我在学习3.0版本的python,一个人说 让我从2.7学,因为3.0不能做web,这是真的么?想在这里找到一个真实的答案谢谢。

  完全不是这样的。

  用python做web你需要考虑两点:

  1.框架支持(什么?你想直接写wsgi?当我没说)

  2.服务器提供商提供的环境

  框架的话,对Python 3.0支持大多还在beta阶段。

  大头Django目前版本1.4还不支持Python 3.0,但将来1.5版会支持。

  Flask的话好像也是正在beta

  bottle的话倒是完全支持Python 3.0,不过它是个微框架,插件还不太多,有很多东西要自己组(Flask也是微框架,但是它插件多而且成熟)

  web.py和web2py对Python 3.0的支持不太清楚

  服务器的话,如果是共享主机的,一般都是Python 2.6,2.7的似乎都不多。国内的话推荐redphp.cn,这是我唯一找到的国内支持python的可靠服务商,国外的会多一些

  如果是自己搞服务器或者云计算(亚马逊)什么的,自己决定一切,就不受这些限制。

  另外我必须说一点,如果你打算把它(python)作为职业,那么需要考虑目前国内的Python web的工作机会。

  我在杭州,表示Python web的工作机会很少,所以。。。

  不过如果你考虑的方向主要是服务器端运维之类的,那么Python看起来在国内也是吃得开的。

  最后说一下,python 2.6、2.7其实加入了很多3.0的东西(包括print的变化——语句 vs 函数),主要就是兼容过度版本。

  从2.7开始学肯定没错,一方面你能使用现有很多兼容2.x的代码库,另一方面将来迁移到3.0也不太困难。

  但不是说3.0不能做web。

  p.s 如果你确实需要3.0的特性,别忘了 __furture__ (比如,from __furure__ import division,假设我没拼写错误,它会让你做除法的时候不用考虑是真除还是地板除,嗯,这个时候1/2等于0.5而不是0)

标签:
肚皮舞新闻动态News Center

肚皮舞视频

肚皮舞培训课程

联系卡伊丝contact us
联系我们
python培训「零基础入门到精通」python人工智能编程培训班-0798wz.com

咨询热线:18301225663